# Class Box

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a patient box (clinical display unit) that aggregates patient data, observations, medications, and display configuration for a specific point of care.

    public class Box

Inheritance
  object
  Box

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Fields

### AttendingDoctor

    public Person? AttendingDoctor

#### Field Value

Person

## Properties

### Bed

    public string? Bed { get; set; }

#### Property Value

string

### Configuration

    public Dictionary<string, object>? Configuration { get; set; }

#### Property Value

Dictionary<string, object>

### HasPatient

    public bool HasPatient { get; set; }

#### Property Value

bool

### IsActive

    public bool IsActive { get; set; }

#### Property Value

bool

### IsVisible

    public bool IsVisible { get; set; }

#### Property Value

bool

### Location

    public PatientLocation Location { get; }

#### Property Value

PatientLocation

### Medication

    public List<Medication>? Medication { get; set; }

#### Property Value

List<Medication>

### Observations

    public List<PatientObservation>? Observations { get; set; }

#### Property Value

List<PatientObservation>

### Patient

    public Patient? Patient { get; set; }

#### Property Value

Patient

### Patientid

    public ObjectId? Patientid { get; set; }

#### Property Value

ObjectId?

### PointOfCare

    public string? PointOfCare { get; set; }

#### Property Value

string

### Type

    public StatusEnum.Type Type { get; set; }

#### Property Value

StatusEnum.Type